//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-project-plugin/src/main/groovy/org/openscm/kundo/plugins/ProjectDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import groovy.xml.NamespaceBuilder;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.factory.ProjectStrategyFactory;
import org.openscm.kundo.strategy.ProjectStrategy;

/**
 * Project Delegate
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to load various global properties for use by other plugins
and optionally parse a maven pom file.

<p>The projects delegate uses the ProjectDelegateFactory to load the apprpriate ProjectStrategy
based on the project.help.strategy property value. The project delegate reads indexed properties
from either the default plugin.properties file or the project's build.properties file. The
properties with the same index are grouped allowing output and source directories to be linked
along with exclude and include patterns. It also sets the global.helper.strategy so other
plug-ins know which strategy to load, default is maven.
</p>
 */
public class ProjectDelegate
    extends AbstractPluginTargetDelegate
{
    private java.lang.String resolveEclipseSourcePaths = null;
    public java.lang.String getResolveEclipseSourcePaths() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String eclipseProjectSet = null;
    public java.lang.String getEclipseProjectSet() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String buildDir = null;
    public java.lang.String getBuildDir() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String helperStrategy = null;
    public java.lang.String getHelperStrategy() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String pomLocation = null;
    public java.lang.String getPomLocation() {
        throw new InternalError("Stubbed method");
    }

    private Map indexedProps = null;
    public Map getIndexedProps() {
        throw new InternalError("Stubbed method");
    }

    private ProjectDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public ProjectDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable eclipseProjectSet
     *
     * @param eclipseProjectSet String representation the project's eclipse project set file
     */
    public void setResolveEclipseSourcePaths(java.lang.String resolveEclipseSourcePaths) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable eclipseProjectSet
     *
     * @param eclipseProjectSet String representation the project's eclipse project set file
     */
    public void setEclipseProjectSet(java.lang.String eclipseProjectSet) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable buildDir
     *
     * @param buildDir String representation the project's base output directory
     */
    public void setBuildDir(java.lang.String buildDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable helperStrategy
     *
     * @param pomLocation String representation the project's helper strategy
     */
    public void setHelperStrategy(java.lang.String helperStrategy) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable pomLocation
     *
     * @param pomLocation String representation the project's pom location
     */
    public void setPomLocation(java.lang.String pomLocation) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of properties grouoed into dynamic objects by index
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * indexedProps is a Map that contains lists of properties specified with an index in a properties file (see plugin.properties)
     * properties with the same key and index are grouped into objects by PropertyUtils.getPrefixedIndexedProperties()
     * indexedProps is injected at runtime by the PluginTargetDelegateFactory
     * we now need to set it as a reference in the ant project to allow other plugins to access it
     */
    public void doProject() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
