//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-project-plugin/src/main/groovy/org/openscm/kundo/factory/ProjectStrategyFactory.groovy
//

package org.openscm.kundo.factory;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.apache.tools.ant.BuildException;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.strategy.ProjectStrategy;
import org.openscm.kundo.strategy.MavenProjectStrategy;
import org.openscm.kundo.strategy.EclipseProjectStrategy;

/**
 * Project Strategy Factory
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: The ProjectStrategyFactory identifies and returns an appropriate ProjectStrategy based on the build context.

<p>The ProjectStrategyFactory identifies an appropriate ProjectStrategy from from data within the BuildContext.
If no strategy can be identified then an Exception will be thrown</p>
 */
public class ProjectStrategyFactory
    extends java.lang.Object
{
    private AntBuilder ant = null;

    /**
     * Logger instance *
     */
    protected final SimpleLogger log = null;

    private ProjectStrategyFactory(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant instance
     *
     * @param ant AntBuilder instance
     */
    public ProjectStrategyFactory(AntBuilder ant) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Identifies and returns an appropriate ProjectStrategy for the current state.
     *
     * @param buildContext The current BuildContext instance containing the global ant project.
     * @return ProjectStrategy Instance of the appropriate ProjectStrategy for the current build context data.
     */
    public ProjectStrategy getProjectStrategy(BuildContext buildContext) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
